# Default values for 4w-textapi-helm.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1
image:
  repository: docker.gitlab.gwdg.de/subugoe/vier-wachen/4w-textapi
  pullPolicy: IfNotPresent
  # -- Overrides the image tag whose default is the chart appVersion.
  tag: "20-implement-image-retrieval-in-textapi-12347814-2025-02-19t12.25.20z"
podAnnotations: []
imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""
serviceAccount:
  # -- Specifies whether a service account should be created
  create: true
  # -- Annotations to add to the service account
  annotations: {}
  # -- The name of the service account to use.
  # -- If not set and create is true, a name is generated using the fullname template
  name: ""
podSecurityContext: {}
# fsGroup: 2000

securityContext: {}
# capabilities:
#   drop:
#   - ALL
# readOnlyRootFilesystem: true
# runAsNonRoot: true
# runAsUser: 1000

service:
  type: ClusterIP
  port: 8084
ingress:
  enabled: true
  annotations:
    # -- the cert manager for the dev cluster
    cert-manager.io/cluster-issuer: geanttcs-dev
    nginx.ingress.kubernetes.io/proxy-body-size: 5m
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/use-regex: "true"
  hosts:
    - host: textapi.test.vierwachen.sub.uni-goettingen.de
      paths:
        - backend:
            service:
              port:
                number: 8084
          path: /api
          pathType: Prefix
  tls:
    - secretName: 4w-textapi-test-ingress-cert
      hosts:
        - textapi.test.vierwachen.sub.uni-goettingen.de
resources:
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  limits:
    cpu: 1m
    memory: 256Mi
  requests:
    cpu: 0.2m
    memory: 128Mi
autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80
nodeSelector: {}
tolerations: []
affinity: {}
